diff -urN cad/salome-kernel.orig/Makefile cad/salome-kernel/Makefile
--- cad/salome-kernel.orig/Makefile	2010-04-25 11:02:51.000000000 +0200
+++ cad/salome-kernel/Makefile	2010-05-02 22:48:35.000000000 +0200
@@ -4,13 +4,11 @@
 #
 # $FreeBSD: ports/cad/salome-kernel/Makefile,v 1.2 2010/04/05 09:38:18 erwin Exp $
 
-CATEGORIES=     cad science
+CATEGORIES=	cad science
 
-MASTERDIR=      ${.CURDIR}/../salome
+MASTERDIR=	${.CURDIR}/../salome
 
-PKGNAMESUFFIX=  -kernel
+PKGNAMESUFFIX=	-kernel
 SAL_MODULE_UPPER=	KERNEL
 
-BROKEN=		does not build
-
 .include "${MASTERDIR}/Makefile"
diff -urN cad/salome-kernel.orig/files/patch-KERNEL-SALOME_Comm_i.cxx cad/salome-kernel/files/patch-KERNEL-SALOME_Comm_i.cxx
--- cad/salome-kernel.orig/files/patch-KERNEL-SALOME_Comm_i.cxx	2010-02-12 23:14:42.000000000 +0100
+++ cad/salome-kernel/files/patch-KERNEL-SALOME_Comm_i.cxx	2010-05-02 22:44:27.000000000 +0200
@@ -1,6 +1,6 @@
---- src/Communication/SALOME_Comm_i.cxx.orig	2009-03-18 20:52:29.000000000 +0600
-+++ src/Communication/SALOME_Comm_i.cxx	2009-05-20 10:21:06.000000000 +0700
-@@ -19,10 +19,12 @@
+--- src/Communication/SALOME_Comm_i.cxx.orig	2009-12-01 20:58:49.000000000 +0600
++++ src/Communication/SALOME_Comm_i.cxx	2010-03-10 22:41:04.000000000 +0600
+@@ -19,10 +19,14 @@
  //
  //  See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
  //
@@ -10,11 +10,13 @@
  #include <rpc/xdr.h>
  #endif
 +
++#include <cstdio>
++
 +#include "SALOME_Comm_i.hxx"
  #include "omniORB4/poa.h"
  #include "omnithread.h"
  #include "Utils_SINGLETON.hxx"
-@@ -32,6 +34,7 @@
+@@ -32,6 +36,7 @@
  #include "SenderFactory.hxx"
  using namespace std;
  
